path.hh File Reference
`#include <algorithm>`
`#include <gecode/search.hh>`
`#include <gecode/search/support.hh>`
`#include <gecode/search/worker.hh>`
`#include <gecode/search/nogoods.hh>`
`#include <gecode/search/seq/path.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Search::Seq::Path< Tracer >
| Depth-first path (stack of edges) supporting recomputation. More...
class | Gecode::Search::Seq::Path< Tracer >::Edge
| Search tree edge for recomputation More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Search
| Search engines
namespace | Gecode::Search::Seq